package com.nisum.mytime.service;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Account;

@Service
public interface IAccountService {

	
	
	Account createAccount(Account account) throws MyTimeException;
	
	Account updateAccount(Account account) throws MyTimeException;

	boolean isAccountExists(Account account);
	
	List<Account> getAccounts() throws MyTimeException;

	List<Map<Object, Object>> getAccountsList() throws MyTimeException;

	Account deleteAccount(String accountId) throws MyTimeException;

}
